
Redmine - Defect #38388

Cannot generate 2FA backup codes from redmine.org

2023-03-29 06:34 - pasquale [:dedalus]

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 4.2.9

Description

I think there is some misconfiguration on the web server: the email is send but the codes aren't generated.

Thanks.

Related issues:

Related to Redmine - Feature #39218: Send 2FA security notifications asynchro... Closed

History

#1 - 2023-03-29 06:43 - Go MAEDA

- File clipboard-202303291343-pfwlp.png added

- Status changed from New to Confirmed

I have confirmed the issue. Redmine show 500 error when I attempted to generate backup codes.

 clipboard-202303291343-pfwlp.png 

#2 - 2023-04-03 18:18 - Jean-Philippe Lang

In Redmine 4.2, security notifications seem to be sent synchronously, unlike other notifications that are sent later. It triggers a timeout when sending

the notification from redmine.org.

I've disabled these notifications and 2FA backup codes are now displayed.

#3 - 2023-04-03 20:10 - pasquale [:dedalus]

Now it works, thanks!

#4 - 2023-10-23 04:23 - Mischa The Evil

- Status changed from Confirmed to Closed

- Resolution set to Fixed

pasquale [:dedalus] wrote in #note-3:

Now it works, thanks!

 Thanks for the feedback. Closing this solved issue.

I've opened feature request #39218 to track the request for sending security notifications asynchronously too.

#5 - 2023-10-23 04:23 - Mischa The Evil

- Related to Feature #39218: Send 2FA security notifications asynchronously added
